PCAP_DATALINK_VAL_TO_NAME(3PCAP)

NAME
pcap_datalink_val_to_name, pcap_datalink_val_to_description - get a name or description for a link-layer header type value

SYNOPSIS
#include <pcap.h>

const char *pcap_datalink_val_to_name(int dlt);
const char *pcap_datalink_val_to_description(int dlt);

DESCRIPTION
pcap_datalink_val_to_name() translates a data link type value to the corresponding data link type name. NULL is returned on failure.

pcap_datalink_val_to_description() translates a data link type value to a short description of that data link type. NULL is returned on failure.